## lilo 23.2

=== debian/changelog ===
lilo (1:23.2-3) unstable; urgency=low

  * Fix tense use in debconf templates (thanks to Ivan Masar).
  * Fix pending l10n issues: debconf translations:
    - Dutch (Jeroen Schot), nl.po.       (Closes: #654397)
    - Spanish (Omar Campagne), es.po.    (Closes: #655848)
    - Indonesian (Mahyuddin Susanto), new id.po. (Closes: #660307)
    - Polish (Michał Kułach), new pl.po. (Closes: #660534)
    - Basque (Iñaki L. Murgoitio), eu.po. (Closes: #660640)
    - Vietnamese (Hung Tran), vi.po.     (Closes: #660643)
    - Italian (Luca Monducci), it.po.    (Closes: #660915)
    - Slovak (Ivan Masar), new sk.po.    (Closes: #661143)
    - Czech (Miroslav Kure), cs.po.      (Closes: #661437)
  * Fix of some errors in lilo manpage.  (Closes: #659809)
  * Fix of some typos in user.tex file (string EBDA).
  * Add infos about old documentation in README.Debian.
  * Bump to Standards Version 3.9.3 (no changes).
  * Bump to Copyright Format 1.0 (DEP-5).

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sun, 04 Mar 2012 00:28:31 +0100

lilo (1:23.2-2) unstable; urgency=low

  * debian/control:
    - Move to debhelper (>= 8).
    - Update Vcs Git and Browser URLs.
    - Remove old Uploader (not active anymore).
  * Move to compatibility level 8.
  * Update lilo.conf manpage using better explanations. 
      (Closes: #283281, #368133, #629321)
  * Update of Swedish translation (sv.po). (Closes: #628931)
  * Update of mkrescue script.  (Closes: #627120)

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sat, 18 Jun 2011 23:38:38 +0200

lilo (1:23.2-1) unstable; urgency=medium

  [ Joachim Wiedorn ]
  * New upstream release:
    - Fix for larger kernel setup code. (Closes: #625266)
    - Update of manpages (mkrescue.8, lilo.conf.5).
  * Update of some patches; remove of some patches (now in upstream).
  * debconf scripts:
    - Update of French translation (fr.po). (Closes: #621845)
    - Update of Portuguese translation (pt.po). (Closes: #622642)
    - Update of Russian translation (ru.po). (Closes: #623794)
    - Update of Japanese translation (ja.po). (Closes: #624629)
  * debian/control:
    - Bump to Standards-Version 3.9.2 (without changes).
    - Remove mbr dependency for package lilo (no more needed).
    - Replace perl-modules dependency with variable ${perl:Depends}.

  [ Niels Thykier ]
  * Added DMUA flag.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sat, 07 May 2011 17:18:48 +0200

lilo (1:23.1-2) unstable; urgency=medium

  [ Joachim Wiedorn ]
  * debian/control:
    - Remove dependency to lilo in package lilo-doc. (Closes: #613753)
  * Fix: save errno for second command (device.c).
  * Fix: save file permissions for converted lilo.conf (Closes: #615103)
      and fix some typos in script lilo-uuid-diskid.
  * Fix: missleading error message in geometry.c. (Closes: #445264)
  * Reformatting of mkrescue manpage (thanks to M.E. Schauer).
      (Closes: #617282)
  * debconf scripts:
    - Fix typos in some debconf translation files. (Closes: #504733)
    - Use better style in debconf translations. (Closes: #312451, #504733)
    - Remove debconf code for managing old boot/boot.b and similar files.
    - Remove no more needed debian/lilo.lintian-overrides file.
    - Remove script liloconfig and all appropriate debconf code.
    - Update of German translation (de.po).
    - Update of French translation (fr.po). (Closes: #615936)
    - Update of Russian translation (ru.po). (Closes: #616691)
    - Update of Galician translation (gl.po).
    - Update of Danish translation (da.po). (Closes: #618004)
    - Update of Basque translation (eu.po). (Closes: #618253)
    - Update of Czech translation (cs.po).  (Closes: #618711)
    - Update of Spanish translation (es.po). (Closes: #618813)
    - Update of Finnish translation (fi.po). (Closes: #618886)
    - Update of Italian translation (it.po). (Closes: #618801)
    - Update of Brazilian Portuguese translation. (Closes: #618738)
    - Update of Swedish translation (sv.po). (Closes: #618620)
  * Add new script liloconfig, using template with comments,
      works with UUID, LABEL and disk-id for root and boot options.
  * Add new manpage for liloconfig, update of other manpages.
  * Fix typos and phrases in manpage of lilo.conf. (Closes: #258472)

  [ Niels Thykier ]
  * Added Depends on perl-modules, since liloconfig needs it.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sun, 20 Mar 2011 14:37:18 +0100

lilo (1:23.1-1) unstable; urgency=low

  * New upstream release. (Closes: #339778)
  * Upstream bugfixes:
    - Option 'append' works with acpi=off. (Closes: #428390)
    - Working on degraded RAID-1 device. (Closes: #278373, #522283)
    - Working with MD v1.0 RAID-1 boot devices. (Closes: #598035)
    - Working with spaces in labels. (Closes: #287257)
    - Using new hook scripts for kernel and initrd only one time
      when needed. (Closes: #599934)
    - Include diffs for NMUs. (Closes: #504267, #409663)
    - Fix error with LVM partition. (Closes: #244741)
    - Compatible with devmapper version. (Closes: #325235)
  * Solved upstream bugs of Ubuntu:
    - Raid related error while upgrading (LP: #242879)
    - Warn if initrd is too large (LP: #260059)
    - Allow using LVM as root partition (LP: #274972)
    - Stack overlaping on second stage (LP: #438177)
    - Raid setup fatal errors (LP: #470502)
    - Use hook scripts while updating kernel/initrd 
      (LP: #43869, #345482, #628858, #636211, #691975)

  * Remove all old patches.
  * Remove very old lilo.conf examples.
  * Remove obsolete file debian/NEWS.
  * Bump to Standards Version 3.9.1.
  * Move to debhelper compatibility level 7.
  * Move to source format 3.0 (quilt).
  * Update and new formatting of debian/copyright.
  * debian/control:
    - Move source dependency debhelper to version >= 7.0.15.
    - Update some versions of source dependencies and remove quilt.
    - Add VCS urls in Alioth.
    - Add in package lilo-doc dependency to lilo.
    - Optimize package descriptions.


