=== debian/changelog ===
lilo (1:24.0-2) unstable; urgency=medium

  * Fix: compiler option 'freestanding' must be used with cpp
      (in patch 11_add-compile-flags.patch). Closes: #713504

 -- Joachim Wiedorn <ad_debian@joonet.de>  Tue, 02 Jul 2013 21:13:11 +0200

lilo (1:24.0-1) unstable; urgency=low

  * New upstream release:
    - Fixes of manpages, added manpages.
    - Old documentation now in html format.
    - Better support for GPT hard disks.
    - Support for kernel 3.x series.
    - Now compatible to gcc 4.8 (and higher). Closes: #701315, #709818
  * Update some patches, remove some patches.
  * Use upstream html doc for lilo-doc package.
  * Update debian/copyright file.
  * debian/control:
    - Bump to Standards Version 3.9.4 (no changes).
    - Remove suggestion to package lilo-doc.
    - Move to debhelper >=9.
  * Fix: add full support for CFLAGS and LDFLAGS
      to support hardening flags.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sat, 08 Jun 2013 14:27:16 +0200

lilo (1:23.2-4) unstable; urgency=medium

  * Enable use of linux 3.x in liloconfig script.
  * Disable creating pdf documentation.  (Closes: #666320)
  * Remove build dependency to texlive-latex-base.
  * Use (patched) upstream scripts directly.
  * Add html documentation as replacement for pdf files.
  * Update Brazilian Portuguese debconf translations. (Closes: #663495)

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sun, 15 Apr 2012 12:16:49 +0200
