=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,14 @@
 %:
 	dh $@
 
+
+override_dh_auto_build:
+	dh_auto_build
+	@echo "Extract html documentation (tech.html, user.html)"
+	uudecode -o /dev/stdout debian/doc/tech.html.uu 2>/dev/null | tar -x -z -C debian
+	uudecode -o /dev/stdout debian/doc/user.html.uu 2>/dev/null | tar -x -z -C debian
+
+override_dh_auto_clean:
+	rm -rf debian/html
+	dh_auto_clean
+
