=== debian/changelog ===
lilo (1:24.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix liloconfig: not included initrd.img in lilo.conf, kernel
        installation/upgrading failed. Closes: #640792, #663586
        LP: #703371, #774733, #844859, #973903, #982791, #990306
        LP: #1002823, #1003865, #1004308, #1004919, #1017787, #1028113
        LP: #1029600, #1031770, #1042482, #1043352, #1057720, #1060584
        LP: #1070267, #1109340, #1132208, #1156494, #1173175, #1202943
        LP: #1210905, #1214153, #1218082, #1222073, #1264013, #1282115
        LP: #1304205, #1307211, #1318800, #1363551, #1374399
    - Fix liloconfig: no defined images in lilo.conf, initramfs hook
        failed. LP: #1014383
    - Fix hook scripts: kernel hook failed if RAID is degraded.
        Closes: #459713, #728622
    - More documentation about -R option. Closes: #720129
    - Optional: Set no-defragment bit on XFS filesystems.
    - Update some patches, remove all other patches.

  * Use better link to upstream packages in debian/watch.
  * Bump Standards Version to 3.9.6 (no changes).
  * Add hook scripts for saving kernel in /boot on XFS filesystems.
      These scripts can be found in dir. /usr/lib/lilo/ for optional
      installation. See: #566035
  * Remove obsolete symlinks sarge.bmp and sid.bmp to /boot/debian.bmp.
      Now using /boot/debian.bmp directly in /etc/lilo.conf.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Fri, 17 Oct 2014 21:40:40 +0200
