=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9),
  transfig, bin86 (>= 0.16), sharutils,
  po-debconf (>= 0.5.0), libdevmapper-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://lilo.alioth.debian.org/
 Vcs-Git: git://anonscm.debian.org/lilo/debian.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=lilo/debian.git
