=== debian/watch ===
# watch control file for uscan for the lilo package
version=3
#http://alioth.debian.org/frs/?group_id=100507  .*/lilo-(\d\d.+).tar.gz
http://lilo.alioth.debian.org/ftp/sources/lilo-(\d\d.+).tar.gz
