=== debian/changelog ===
lilo (1:24.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957490)

 -- Ryan Finnie <ryan@finnie.org>  Wed, 28 Oct 2020 11:18:45 -0700

lilo (1:24.2-5) unstable; urgency=medium

  * Add file debian/NEWS to point out that lilo package is deprecated
    and its install package will vanish as by the end of year 2020.
    Move to e.g. grub2 is recommended.
  * debian/control:
    - Bump Standards Version to 4.4.1 (no changes).
  * debian/patches:
    - 10: add new patch, fix manpage lilo.conf.5. Closes: #919741

 -- Joachim Wiedorn <joodebian@joonet.de>  Tue, 10 Dec 2019 23:41:00 +0100

lilo (1:24.2-4) unstable; urgency=medium

  * Update weblinks of the package.
  * Update maintainer email addresses.
  * debian/control:
    - Bump Standards Version to 4.2.1 (no changes).
  * debian/patches:
    - 02: Remove patches vor vendorspecific naming. Closes: #896081
    - 09: add new patch, fix manpage lilo.conf.5. Closes: #902711
  * lilo.postinst:
    - Fix command redirection in the script. Closes: #908242

 -- Joachim Wiedorn <joodebian@joonet.de>  Sun, 09 Sep 2018 16:07:53 +0200

lilo (1:24.2-3) unstable; urgency=medium

  * Add e2fsprogs as suggested package. Closes: #887183
  * debian/control:
    - Bump Standards Version to 4.1.3.
    - Move to debhelper 10 and compat level 10.
  * Add signing-key.asc into debian/upstream.
  * Update debian/watch file (without alioth).
  * Update Vcs and homepage (without alioth).

 -- Joachim Wiedorn <joodebian@joonet.de>  Sun, 28 Jan 2018 00:30:54 +0100

lilo (1:24.2-2) unstable; urgency=medium

  * debian/rules:
    - Fix error when built with dpkg-buildpackage -A 
      (creating only arch-independent packages). Closes: #806656
  * debian/control:
    - Bump Standards Version to 3.9.8 (no changes).
  * New patches:
    - Fix warning found in buildd logs: dpkg-buildflags-missing CFLAGS
    - Fix some typos in manpages: lilo.conf.5, mkrescue.8

 -- Joachim Wiedorn <joodebian@joonet.de>  Fri, 15 Jul 2016 22:14:28 +0200

lilo (1:24.2-1) unstable; urgency=medium

  * New upstream release:
    - Make build of lilo reproducible. Closes: #798366
    - Add architecture x32. Closes: #777086
  * Update distribution specific patches.
  * Update maintainer and upstream mail address.

 -- Joachim Wiedorn <joodebian@joonet.de>  Mon, 23 Nov 2015 20:25:29 +0100
