=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: lilo
 Section: admin
 Priority: optional
-Maintainer: Joachim Wiedorn <ad_debian@joonet.de>
-Build-Depends: debhelper (>= 9),
- transfig, bin86 (>= 0.16), sharutils,
- po-debconf (>= 0.5.0), libdevmapper-dev
-Standards-Version: 3.9.6
-Homepage: http://lilo.alioth.debian.org/
-Vcs-Git: git://anonscm.debian.org/lilo/debian.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=lilo/debian.git
+Maintainer: Joachim Wiedorn <joodebian@joonet.de>
+Build-Depends: debhelper (>= 10),
+ transfig, sharutils,
+ bin86 (>= 0.16),
+ po-debconf (>= 0.5.0),
+ libdevmapper-dev
+Standards-Version: 4.4.1
+Homepage: http://lilo.joonet.de/
+Vcs-Git: https://salsa.debian.org/joowie-guest/maintain_lilo.git
+Vcs-Browser: https://salsa.debian.org/joowie-guest/maintain_lilo.git
 
 Package: lilo
-Architecture: amd64 i386
+Architecture: amd64 i386 x32
 Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Suggests: e2fsprogs
 Description: LInux LOader - the classic OS boot loader
  You can use LILO to manage your Master Boot Record (with a simple text
  screen, text menu or colorful splash graphics) or call LILO from other
