=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh $@


override_dh_auto_build:
	dh_auto_build
	@echo "Extract html documentation (tech.html, user.html)"
	uudecode -o /dev/stdout debian/doc/tech.html.uu  2> /dev/null | tar -x -z -C debian
	uudecode -o /dev/stdout debian/doc/user.html.uu  2> /dev/null | tar -x -z -C debian

override_dh_fixperms-arch:
	dh_fixperms
	@echo "Set execute flag to chattr-lilo hook scripts"
	chmod 0755 debian/lilo/usr/lib/lilo/hooks/kernel/*/chattr-lilo

override_dh_auto_clean:
	rm -rf debian/html
	dh_auto_clean
